[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'Sockets' (#rtl)

# Sock2Text

Convert socket to text file descriptors

## Declaration

Source position: socketsh.inc line 200

`procedure Sock2Text(`
`Sock: LongInt;`
`var SockIn: Text;`
`var SockOut: Text`
`);`

## Description

Sock2Text transforms a socket Sock into 2 Pascal file descriptors of type Text, one for reading from the socket (SockIn), one for writing to the socket (SockOut).

## Errors

None.

## See also

FPSocket |  | Create new socket
Sock2File |  | Convert socket to untyped file descriptors

Documentation generated on: Feb 26 2014